Headless LMS

List courses

GET /api/courses. List courses. Headless LMS Content API reference.

GET
/api/courses

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
pageSize?integer
Range1 <= value <= 100
Default20
search?string
sort?string
status?string

Value in

  • "draft"
  • "published"
category?string

Response Body

application/json

curl -X GET "https://example.com/api/courses"
{  "rows": [    {      "orgId": "string",      "id": "string",      "type": "course",      "title": "string",      "slug": "string",      "description": "string",      "status": "draft",      "category": "string",      "thumbnailAssetId": "string",      "settings": {        "transcriptDownloads": true,        "comments": {          "enabled": true,          "threaded": true,          "requireReview": true,          "reactions": true        }      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "total": -9007199254740991,  "page": -9007199254740991,  "pageSize": -9007199254740991}